package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Site remote logging setting.
 */
@ApiModel(description = "Site remote logging setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SiteRemoteLoggingSetting   {
  @JsonProperty("remoteLog")
  private RemoteLogSettingVo remoteLog;

  public SiteRemoteLoggingSetting remoteLog(RemoteLogSettingVo remoteLog) {
    this.remoteLog = remoteLog;
    return this;
  }

  /**
   * Get remoteLog
   * @return remoteLog
  */
  @ApiModelProperty(value = "")

  @Valid

  public RemoteLogSettingVo getRemoteLog() {
    return remoteLog;
  }

  public void setRemoteLog(RemoteLogSettingVo remoteLog) {
    this.remoteLog = remoteLog;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteRemoteLoggingSetting siteRemoteLoggingSetting = (SiteRemoteLoggingSetting) o;
    return Objects.equals(this.remoteLog, siteRemoteLoggingSetting.remoteLog);
  }

  @Override
  public int hashCode() {
    return Objects.hash(remoteLog);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteRemoteLoggingSetting {\n");
    
    sb.append("    remoteLog: ").append(toIndentedString(remoteLog)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

